#
# spec file for package ghc-stache
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name stache
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.2.2
Release:        10.9
Summary:        Mustache templates for Haskell
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/2.cabal#/%{pkg_name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-megaparsec-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-vector-devel
%if %{with tests}
BuildRequires:  ghc-file-embed-devel
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-hspec-megaparsec-devel
BuildRequires:  ghc-yaml-devel
%endif

%description
Mustache templates for Haskell.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE.md
%dir %{_datadir}/%{pkg_name}-%{version}
%dir %{_datadir}/%{pkg_name}-%{version}/bench-data
%dir %{_datadir}/%{pkg_name}-%{version}/specification
%dir %{_datadir}/%{pkg_name}-%{version}/templates
%{_datadir}/%{pkg_name}-%{version}/bench-data/*.mustache
%{_datadir}/%{pkg_name}-%{version}/specification/*.yml
%{_datadir}/%{pkg_name}-%{version}/templates/*.mustache

%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Sat May 27 2017 psimons@suse.com
- Update to version 0.2.2 revision 2.
* Wed Apr 19 2017 psimons@suse.com
- Update to version 0.2.2 revision 1 with cabal2obs.
* Mon Mar 27 2017 psimons@suse.com
- Update to version 0.2.2 with cabal2obs.
* Tue Mar 14 2017 psimons@suse.com
- Update to version 0.2.1 with cabal2obs.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 0.2.0 revision 2 with cabal2obs.
* Sun Jan  8 2017 psimons@suse.com
- Update to version 0.1.8 revision 2 with cabal2obs.
* Wed Jan  4 2017 psimons@suse.com
- Update to version 0.1.8 revision 1 with cabal2obs.
* Sun Nov  6 2016 psimons@suse.com
- Update to version 0.1.8 with cabal2obs.
* Mon Sep 26 2016 psimons@suse.com
- Update to version 0.1.7 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 0.1.6 revision 1 with cabal2obs.
